Subject: bug#19822: url-retrieve: allow to fail when no document is associated with the URI

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Sep 2019 11:22:20 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 30 Sep 2019 09:30:36 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'm not sure I understand the proposal: we are being asked to remove
> > ftp:, news:, etc. from being supported by the URL library?  I think
> > those protocols are still widely used, no?
> 
> Not ftp:, but news: and gopher: and the other obscure ones.
> 
> They aren't used a lot and some of them do not work at all currently.

How are network news URL referenced, if not by 'news:'?

Anyway, can we please have an explicit list of those we'd like to
deprecate, and some usage numbers to back that?  I'd like to have some
more firm basis for this decision, if possible.

Thanks.